@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap");

body {
    margin: 0;
    display: flex;
    flex-direction: column;
    height: 100vh;
    font-family: Montserrat;
}

.img-avatar {
    position: relative;
    top: 0;
    left: 10px;
    width: 180px !important;
    height: 180px !important;
    border-radius: 50%;
    margin: 0px !important;
    cursor: pointer;
    object-fit: cover;
    margin-bottom: 30px !important;
    min-height: 180px !important;
    min-width: 180px !important;
}

.img-container {
    display: flex;
    justify-content: center;
}

.d-none {
    display: none;
}

.topbar {
    background: #063279;
    border-bottom: 2px solid #f8f8fd;
    padding: 16px 60px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.topbar a {
    color: white;
    text-decoration: none;
    font-size: 18px;
    font-weight: 700;
}

.topbar .logo {
    height: 49px;
}

.topbar .back-button {
    color: white;
    text-decoration: none;
    font-size: 18px;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 24px;
    height: 24px;
    cursor: pointer;
}

.topbar .back-button:hover {
    opacity: 0.8;
}

.content {
    display: flex;
    width: 100%;
    flex-grow: 1;
    box-sizing: border-box;
    overflow: hidden;
}

.content > div,
.content > form {
    flex-grow: 1;
    flex-shrink: 0;
    flex-basis: 50%;
}

.background {
    height: 100%;
    background: url("/img/obra1.png") no-repeat;
    background-size: cover;
    background-position: bottom;
}

.background .card-blue {
    position: relative;
    background: #063279;
    border-radius: 0 0 0 250px;
    min-height: 60%;
}

.background .card-blue .logo {
    position: absolute;
    inset: 120px 50px;
    top: 100px;
    max-height: 225px;
}

.background .card-blue .logo img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    box-sizing: border-box;
}

.form-container {
    padding: 30px;
    box-sizing: border-box;
    overflow-y: auto;
    display: flex;
    flex-direction: column;
    gap: 24px;
    overflow-x: hidden;
}

.steps {
    display: flex;
    align-items: center;
    width: min(350px, 100%);
    margin: 0 auto;
}

.step-indicator {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    border: 2px solid #063279;
    font-family: Montserrat;
    font-weight: 700;
    font-style: Bold;
    font-size: 16px;
    color: #063279;
}

.step-indicator.active {
    background-color: #063279;
    color: #fff;
}

.step-divider {
    flex-grow: 1;
    border: 0.5px solid #4d4646;
}

.step {
    display: flex;
    flex-direction: column;
    gap: 24px;
    max-width: min(350px, 100%);
    margin: auto;
}

.step img {
    width: 100%;
}

.step h1.title {
    font-family: Montserrat;
    font-weight: 500;
    font-size: 20px;
    line-height: 100%;
    text-align: center;
    margin: 0;
}

.step p {
    font-family: Montserrat;
    font-weight: 500;
    font-style: Medium;
    font-size: 14px;
    line-height: 120%;
    margin: 0;
}

.step .actions {
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin-top: auto;
}

.step .actions .form-button {
    margin-top: 0 !important;
}

.step[data-step="2"] {
    width: 360px !important;
}

.requirements {
    display: flex;
    flex-direction: column;
    color: #4d4646;
}

.requirements h1 {
    font-family: Montserrat;
    font-weight: 400;
    font-size: 14px;
    line-height: 120%;
    margin: 0;
}

.requirements ul {
    margin: 0;
    padding-left: 24px;
}

.requirements ul li {
    font-family: Montserrat;
    font-weight: 400;
    font-size: 14px;
    line-height: 120%;
}

.planos {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}

.planos .plano {
    display: flex;
    flex-direction: column;
    gap: 15px;
    box-shadow: 0px 0px 3.71px 0px #00000040;
    background: #f7f7f7;
    border-radius: 10px;
    padding: 20px;
    box-sizing: border-box;
}

.planos .plano .badge {
    background: #063279;
    color: #fff;
    border-radius: 20px;
    padding: 5px 10px;
    width: fit-content;
    font-family: Montserrat;
    font-weight: 400;
    font-size: 9.28px;
    line-height: 100%;
    text-transform: uppercase;
}

.planos .plano .preco {
    display: flex;
    flex-wrap: wrap;
    align-items: end;
    font-family: Montserrat;
    font-weight: 500;
    font-size: 28.63px;
}

.planos .plano .preco span {
    font-family: Montserrat;
    font-weight: 400;
    font-size: 14px;
    white-space: nowrap;
}

.planos .plano .incluido {
    font-family: Montserrat;
    font-weight: 500;
    font-size: 12px;
    color: #9299a7;
}

.planos .plano ul {
    margin: 0;
    padding: 0 18px;
    /* list-style: none; */
}

.planos .plano ul li {
    font-family: Montserrat;
    font-weight: 400;
    font-size: 14px;
    line-height: 120%;
    margin-bottom: 12px;
}

.planos .plano .form-button {
    font-size: 12px;
    padding: 8px;
    margin: 15px 0;
    margin-top: auto;
}

.row {
    display: flex;
    gap: 25px;
}

.row > div {
    flex-basis: 0;
    flex-shrink: 0;
    flex-grow: 1;
}

.success-step {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 24px;
    overflow: hidden;
}

.success-step .bg-shape {
    position: absolute;
    left: 0;
    bottom: 0;
    max-width: 55%;
    height: 90%;
    object-fit: fill;
}

.success-step .macbook {
    position: absolute;
    top: 55%;
    left: 0;
    height: 400px;
    max-width: 50%;
    transform: translateY(-50%);
    object-fit: contain;
}

.success-step-content {
    position: absolute;
    z-index: 1;
    width: 45%;
    max-width: 580px;
    right: 0;
    padding-left: 0px;
    padding-right: 6%;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 66px;
}

.success-step-content .logo {
    width: 400px;
}

.success-step-content .form-button {
    text-decoration: none;
}

.success-step-content h1 {
    font-family: Montserrat;
    font-weight: 500;
    font-style: Medium;
    font-size: 20px;
    line-height: 100%;
    text-align: center;
    margin: 0;
}

.success-step-content h1 b {
    white-space: nowrap;
}

.success-step .mobile {
    display: none !important;
}

@media screen and (min-width: 1400px) {
    .success-step-content {
        left: 50%;
        right: 0;
    }
}

@media screen and (max-width: 1162px) {
    .planos {
        grid-template-columns: repeat(1, 1fr);
    }
}

@media screen and (max-width: 862px) {
    h1.title {
        font-size: 16px !important;
        text-align: left !important;
        font-weight: 400 !important;
    }

    h1.title b {
        font-size: 16px !important;
        text-align: left !important;
        font-weight: 500 !important;
    }

    .step[data-step="1"] {
        margin: 0;
        flex-grow: 1;
    }

    .step[data-step="1"] img {
        height: 67px !important;
    }

    .step[data-step="1"] p,
    .step[data-step="1"] p b {
        font-weight: 700 !important;
    }

    .step[data-step="1"] .form-button {
        margin-top: auto !important;
    }

    .step[data-step="2"] {
        margin: 0;
        flex-grow: 1;
    }

    .step[data-step="2"] .form-button {
        margin-top: auto !important;
    }

    .step {
        margin: 0;
        flex-grow: 1;
    }

    .step[data-step="4"] .form-button {
        margin-top: auto !important;
    }

    .background {
        flex-basis: unset !important;
        flex-grow: 1 !important;
    }

    .background .logo {
        left: 10px !important;
        right: 10px !important;
    }

    .form-container {
        flex-basis: unset !important;
        width: 430px !important;
        max-width: 430px !important;
    }

    .success-step-content {
        width: 100% !important;
        height: 100% !important;
        max-width: 100% !important;
        justify-content: space-between;
        right: 0 !important;
        padding: 40px;
    }

    .success-step-content .message {
        display: flex !important;
        flex-direction: column !important;
        align-items: center;
        gap: 20px;
    }

    .success-step-content .message .title {
        text-align: center !important;
        font-weight: 500 !important;
    }

    .success-step-content .message .title b {
        font-weight: 700 !important;
    }

    .success-step-content .message img {
        max-height: 46px;
    }

    .success-step .desktop {
        display: none !important;
    }

    .success-step .mobile {
        position: relative;
        display: flex !important;
        width: 100vw;
        flex-grow: 1;
        margin: -40px;
    }

    .success-step .mobile .bg-shape {
        position: absolute;
        max-width: 100%;
        width: 100%;
    }

    .success-step .mobile .macbook {
        position: absolute;
        inset: 40px;
        width: calc(100% - 80px);
        height: calc(100% - 80px);
        object-fit: contain;
        transform: unset;
        max-width: unset;
    }

    .step .next-step-button {
        margin-top: auto !important;
    }
}

@media screen and (max-width: 635px) {
    .background {
        display: none;
    }

    .form-container {
        width: 100% !important;
        max-width: 100% !important;
    }

    .step {
        max-width: 100% !important;
        margin: auto 0;
    }

    .step[data-step="1"] img {
        height: 85px;
    }

    .step[data-step="2"] {
        width: 100% !important;
    }
}
